<?php

declare(strict_types=1);

namespace Drupal\mcp;

/**
 * Interface for mcp plugins.
 */
interface McpInterface {

  /**
   * Return Available Tools.
   *
   * @return \Drupal\mcp\ToolInterface[]
   */
  public function getTools(): array;

  /**
   * Execute a tool.
   *
   * @param string $toolId
   *   The tool ID.
   *
   * @return mixed
   *   The result of the tool execution.
   *
   * @throws \InvalidArgumentException
   *   Thrown when the tool ID is not found.
   */
  public function execute(string $toolId, mixed $arguments): mixed;

}
