<?php

declare(strict_types=1);

namespace Drupal\mcp;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use stdClass;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Base class for mcp plugins.
 */
abstract class McpPluginBase extends PluginBase
  implements McpInterface, ContainerFactoryPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function getTools(): array {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function execute(string $toolId, mixed $arguments): mixed {
    return new stdClass();
  }

  /**
   * Constructor.
   */
  public function __construct(
    array $configuration,
    $plugin_id,
    $plugin_definition,
    protected ConfigFactoryInterface $configFactory,
  ) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }

  /**
   * {@inheritDoc}
   */
  public static function create(ContainerInterface $container,
    array $configuration, $plugin_id, $plugin_definition
  ) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition,
      $container->get('config.factory'),
    );
  }

}
